com.smartgwt.client.types

## Enum PropertyIdentifier

- java.lang.Object
- - java.lang.Enum<PropertyIdentifier>
  - - com.smartgwt.client.types.PropertyIdentifier

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<PropertyIdentifier>

      public enum PropertyIdentifier
      extends java.lang.Enum<PropertyIdentifier>
      implements ValueEnum

  A means of identifying the properties in an exported dataset - either the property name or its title.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NAME` Identify properties by internal name
    `TITLE` Identify properties by localized descriptive title

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static PropertyIdentifier` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PropertyIdentifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAME

          public static final PropertyIdentifier NAME

      Identify properties by internal name

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "name".

    - #### TITLE

          public static final PropertyIdentifier TITLE

      Identify properties by localized descriptive title

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "title".

  - ### Method Detail

    - #### values

          public static PropertyIdentifier[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyIdentifier c : PropertyIdentifier.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyIdentifier valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`